import request from "@/utils/request";
// 检查MD5
export function checkFile(md5) {
  return request({
    url: "/api/v1/file/check",
    method: "get",
    params: { md5: md5 },
  });
}
// 查询文件列表
export function fileList() {
  return request({
    url: "//api/v1/file/fileList",
    method: "get",
  });
}
// 上传分片
export function fileUploadChunk(data) {
  return request({
    url: "/api/v1/file/upload/chunk",
    method: "post",
    data: data,
  });
}
// 图片上传
export function uploadPic(data) {
  return request({
    url: "/api/v1/upload/pic",
    method: "post",
    data: data,
  });
}
// 文件下载
export function fileDownload(data) {
  return request({
    url: "/api/v1/download/download",
    method: "post",
    responseType: "blob",
    data: data,
  });
}
// ------------------安装包列表--------------------
// apk添加
export function apkAdd(data) {
  return request({
    url: "/api/v1/apk/add",
    method: "post",
    data: data,
  });
}
// apk编辑
export function apkEdit(data) {
  return request({
    url: "/api/v1/apk/edit",
    method: "post",
    data: data,
  });
}
// apk删除
export function apkDel(id) {
  return request({
    url: `/api/v1/apk/deleted/${id}`,
    method: "post",
  });
}
// 查询apk列表
export function apkList(data) {
  return request({
    url: "/api/v1/apk/list",
    method: "post",
    data: data,
  });
}
// 查询apk列表（分页）
export function apkPage(data) {
  return request({
    url: "/api/v1/apk/page",
    method: "post",
    data: data,
  });
}
// ------------------任务列表-------------------
// 添加任务
export function taskAdd(data) {
  return request({
    url: "/api/v1/task/add",
    method: "post",
    data: data,
  });
}
// 取消任务
export function taskDel(id) {
  return request({
    url: `/api/v1/task/cancel/${id}`,
    method: "post",
  });
}

// 查询安装任务列表（分页）
export function taskPage(data) {
  return request({
    url:'/api/v1/task/page',
    method: "post",
    data: data,
  });
}
// ------------------文件路径-------------------
// 添加-编辑
export function pathAdd(data) {
  return request({
    url: "/api/v1/device/file/path/add",
    method: "post",
    data: data,
  });
}
// 删除
export function pathDel(id) {
  return request({
    url: `/api/v1/device/file/path/del/${id}`,
    method: "post",
  });
}

// 查询列表
export function pathList(data) {
  return request({
    url:'/api/v1/device/file/path/list',
    method: "post",
    data: data,
  });
}
// 查询分页列表
export function pathPage(data) {
  return request({
    url:'/api/v1/device/file/path/page',
    method: "post",
    data: data,
  });
}
