import request from "@/utils/request";
// 用户登录
export function login(data) {
  return request({
    url: "/api/v1/account/login",
    method: "get",
    params: data,
  });
}

export function getInfo() {
  return request({
    url: "/api/v1/account/login/info/get",
    method: "post",
  });
}
// --------------系统配置----------------
// 查询应用类型列表
export function appTypeList(data) {
  return request({
    url: "/api/v1/sys/app/type/list",
    method: "post",
    data: data,
  });
}
// 查询安装任务状态列表
export function statusList(data) {
  return request({
    url: "/api/v1/sys/task/status/list",
    method: "post",
    data: data,
  });
}
// 查询升级类型列表
export function upgradeTypeList(data) {
  return request({
    url: "/api/v1/sys/upgrade/type/list",
    method: "post",
    data: data,
  });
}
// 添加-编辑账号
export function accountAdd(data) {
  return request({
    url: "/api/v1/account/add",
    method: "post",
    data: data,
  });
}
// 删除账号
export function accountDel(id) {
  return request({
    url: `/api/v1/account/del/${id}`,
    method: "post",
  });
}
// 查询账号列表
export function accountList(data) {
  return request({
    url: "/api/v1/account/list",
    method: "post",
    data: data,
  });
}
// 查询账号分页列表
export function accountPage(data) {
  return request({
    url: "/api/v1/account/page",
    method: "post",
    data: data,
  });
}
